function OnWarpEnter()
	SetMarker("Pi Ramses\\Maison de Paser\\Warp_0005.wp",0,0)
	---Check condition Temple T or Temple U
        SetMarker("Pi Ramses\\Temple T\\Warp_0018.wp",0,0)
	
	StartAnimation("L1P1",-1)
        StartAnimation("L2P1",-1)
        StartAnimation("L7P1",-1)
        AnimationSetToStart("N1P1")
	AnimationSetToStart("N2P2")
	if not Paser_DoorRoom_Opened_piM_004 then
		AnimationSetToStart("P2P1")
	else
		AnimationSetToEnd("P2P1")
	end
	if not Tool_DoorRoom_Opened_piM_008 then
		PutObject("P3P1")
	end
	if Khaem_on_Countryyard and not MAYA_BEATED then
		if SMOKE_ACTIVATED then
			StartAnimationPart("TOp3",0,30,-1,true)			
		end
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)
	if objectName == "P3P1" then

------------------------------------------------------------
	elseif objectName == "G2P3" then

------------------------------------------------------------
	elseif objectName == "L1P1" then

------------------------------------------------------------
	elseif objectName == "L2P1" then

------------------------------------------------------------
	elseif objectName == "L7P1" then

------------------------------------------------------------
	elseif objectName == "N1P1" then

------------------------------------------------------------
	elseif objectName == "N2P1" then

------------------------------------------------------------
	elseif objectName == "P2P1" then

------------------------------------------------------------
	elseif objectName == "PAP1" then

------------------------------------------------------------
	elseif objectName == "TOp3" then

------------------------------------------------------------
	elseif objectName == "V1P1" then

------------------------------------------------------------
	elseif objectName == "V4P1" then
	end

	if objectName=="3D\\Pi Ramses\\Maison de Paser\\Warp_0005.wp" then
		ChangeWarp(objectName)
        end
--- Check condition temple t or temple U
	if objectName=="3D\\Pi Ramses\\Temple T\\Warp_0018.wp" then
		if TEMPLE_U then
			ChangeWarp("3D\\Pi Ramses\\Temple U\\Warp_0018.wp")
		else
			ChangeWarp(objectName)
		end
        end
end
